Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Generate an OTP verification code for a test user.
This endpoint is used to generate an OTP verification code for a test user. You can define whether this is sent via email or sms.
Once you generate the OTP code, you must verify the OTP code via verify OTP email or verify OTP sms
See Also
- See OTP Authentication for details about implementing OTP.
- See Create a user with the
testflag set to true to set it as a test user. - See Manage Test Users for more information on test users.
curl -X POST "https://api.descope.com/v1/mgmt/tests/generate/otp" \ -H "Content-Type: application/json" \ -d '{}'{ "loginId": "string", "code": "string"}export interface Response {loginId?: stringcode?: string}Test User Management API Overview
Use the Descope API to manage your application's test users with a management key.
Generate Magic Link POST
### Generate a Magic Link for a test user. This endpoint is used to generate a Magic Link for a test user. You can define whether this is sent via email or sms. Once you generate the Magic Link Token must be verified via [verify token](/api/magic-link/verification/verify-token) ### See Also - See [Magic link Authentication](/api/magiclink/) for details about implementing magic links. - See [Create a user](/api/management/users/create-user) with the `test` flag set to true to set it as a test user. - See [Manage Test Users](/manage/testusers/) for more information on test users.